package cn.superdesk.uniorder.common.enums.common;

/**
 * @author xc
 * @description
 * @date 2023/5/5 16:09
 */
public enum CommonSettlementStateEnum {
    未结算(1, "未结算"),
    结算(2,"结算"),
    不结算(3, "不结算"),

    ;

    private Integer key;
    private String  desc;

    CommonSettlementStateEnum(Integer key, String desc) {
        this.key = key;
        this.desc = desc;
    }

    public Integer getKey() {
        return key;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDesc(Integer key) {
        for (CommonSettlementStateEnum c : CommonSettlementStateEnum.values()) {
            if (c.key.equals(key)) {
                return c.getDesc();
            }
        }
        return null;
    }


}
